Busca todos os relatórios
curl --request GET \
--url https://api.example.com/relatorioconst options = {method: 'GET'};
fetch('https://api.example.com/relatorio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/relatorio"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/relatorio"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"pagina": 0,
"total": 5,
"unidades": [
{
"relatorioId": "123-456abc",
"codigo": 12,
"tipo": "AFD",
"status": "PRONTO",
"dataInicial": "2024-05-01T00:00:00.000Z",
"dataFinal": "2024-05-31T00:00:00.000Z",
"createdAt": "2024-05-31T00:00:00.000Z",
"nomeArquivo": "AFD512024001739947317871000105REP_P.txt",
"importado": false,
"updatedAt": "2024-05-31T00:00:00.000Z",
"url": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"extension": "pdf",
"unidadeNegocio": {
"unidadeNegocioId": "1234567890",
"nome": "Transportadora Brasil Ltda",
"step": "DADOS",
"status": "RASCUNHO",
"tipoIdentificacao": "CNPJ",
"numeroCadastro": "36.937.877/0001-08",
"email": "unidade.go@tbrasil.com.br",
"emailNotificacao": "unidade.go@tbrasil.com.br",
"endereco": "<string>",
"createdAt": "2026-05-11T13:08:52.937Z",
"updatedAt": "2026-05-11T13:08:52.937Z",
"logo": "//logo.png"
},
"files": [
{
"id": "123-456abc",
"status": "READY",
"name": "AFD512024001739947317871000105REP_P.txt",
"url": "https://s3-bucket.s3.amazonaws.com/files/tenant_x/file.jpg",
"collaborator": {
"id": "123-456abc",
"name": "Fulano de Tal",
"documentNumber": "15621118054",
"department": "Marketing",
"position": {
"positionId": "123-abc",
"name": "Analyst"
}
},
"businessUnit": {
"unidadeNegocioId": "1234567890",
"nome": "Transportadora Brasil Ltda",
"step": "DADOS",
"status": "RASCUNHO",
"tipoIdentificacao": "CNPJ",
"numeroCadastro": "36.937.877/0001-08",
"email": "unidade.go@tbrasil.com.br",
"emailNotificacao": "unidade.go@tbrasil.com.br",
"endereco": "<string>",
"createdAt": "2026-05-11T13:08:52.937Z",
"updatedAt": "2026-05-11T13:08:52.937Z",
"logo": "//logo.png"
},
"numberOfCollaborators": 10
}
]
}
],
"limite": 10
}{
"service": "<string>",
"method": "<string>",
"message": "message erro"
}Relatório
Busca todos os relatórios
GET
/
relatorio
Busca todos os relatórios
Query Parameters
Texto pesquisado para filtrar consulta
Página que deseja retornar os resultados
Example:
0
Quantidade de itens que retorna na consulta. Min 1 - Max 100
Example:
100
Tipo do relatório
Available options:
AFD, AEJ, ESPELHO_PONTO, BANCO_HORAS, HORAS_EXTRAS, HORAS_EXTRAS_ADICIONAL_NOTURNO, LOCALIZACOES, FALTAS_ATRASOS_ANTECIPACOES, EVENTOS_FOLHA_PAGAMENTO Data da solicitação (dd/MM/yyyy)
Example:
"01/05/2024"
Buscar somente relatórios oriundos de arquivos importados
Example:
false